/* 
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 * 
 * Contributor(s): Jeremy Childs <jeremyc@ssimicro.com>
 *                 Michael Stricklin <opensrc@precision-traffic.com>
 *
 * 
 * Alternatively, the contents of this file may be used under the
 * terms of the GNU General Public License Version 2 or later (the
 * "GPL"), in which case the provisions of the GPL are applicable 
 * instead of those above.  If you wish to allow use of your 
 * version of this file only under the terms of the GPL and not to
 * allow others to use your version of this file under the MPL,
 * indicate your decision by deleting the provisions above and
 * replace them with the notice and other provisions required by
 * the GPL.  If you do not delete the provisions above, a recipient
 * may use your version of this file under either the MPL or the
 * GPL.
 */

/* Quick Lookup for Mozilla
 * Contributor(s): 
 * Jeremy Childs <jeremyc@ssimicro.com>
 * Michael Stricklin <opensrc@precision-traffic.com>
 *
 *   selection code by Roman Stukalov
 * 
 */
/* version francise du fichier original provenant de la version 0.6.3 de qLookup
dernire au 27 dcembre 2002 */

// ==============
// == load-time code ==
var elementTags = new Array('qlookup-hac',
                            'qlookup-ggf',
                            'qlookup-ggi',
                            'qlookup-url');

// ==============
function getSelection() {
   var focusedWindow = document.commandDispatcher.focusedWindow;
   var selection = focusedWindow.__proto__.getSelection.call(focusedWindow);
   return String(selection);
}
// ==============
function isSelection() {
   var activeP = 'true';

   if (getSelection().length > 0)
      activeP = 'false';

   for (var i=0; i<elementTags.length; i++)
      document.getElementById(elementTags[i]).setAttribute('disabled',activeP);
}  
// ==============
function doUrl(urlToLoad) {
   var browser = getBrowser();
   browser.selectedTab = browser.addTab(urlToLoad, getReferrer(document));
}
// ==============
function doLookup(prefix) {
   var selection = getSelection();
   if (selection.length < 1)
      return;
   urlToLoad = prefix+selection;
   doUrl(urlToLoad);
}
// ==============
function gotoURL() {
   var selection = getSelection();
   if (selection.length < 1)
      return;
   while (1) {
      if (selection.substring(selection.length - 1, selection.length) != " ")
         break;
      selection = selection.substring(0, selection.length - 1);
   }
   
   doUrl('http://'+selection);
}
// ==============
//  Example of a more complicated lookup with a super-long URL.  The search term here 
//   is inserted in the middle of the URL (urlPrefix + selection + urlPostfix), with
//   a little URL munging, it could be appended to the end instead.  Either way's good.
//  An additional feature is a prompt dialog if no-thing is selected.
//
//function doGoogleAdvanced() {
//   var selection = getSelection();
//   if (selection.length < 1)
//      selection = prompt('Keywords...','');
//   if (selection.length < 1)
//      return;
//
//   urlPrefix  = 'http://www.google.com/search?as_q=';
//   urlPostfix = '&num=100&hl=en&ie=ISO-8859-1&btnG=Google+Search&as_epq=&as_oq=&as_eq=&lr=&as_ft=i&as_filetype=&as_qdr=all&as_occt=any&as_dt=i&as_sitesearch=&safe=images';
//
//   doUrl(urlPrefix + selection + urlPostfix);
//}
// ==============
